%global commit b257d50cd100312f6e8aa9c5aea131a1917578d1 
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global spec_release 1

Name:		python-kubevirt
Version:	0.1.0
Release:	%{spec_release}.%{shortcommit}
Summary:	Python client used to manage KubeVirt

License:	ASL 2.0
URL:		https://github.com/kubevirt/client-python
Source0:	client-python-%{version}-%{release}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-nose
BuildRequires:  python-py
BuildRequires:  python-coverage
BuildRequires:  python-six
BuildRequires:  python-dateutil
BuildRequires:  python-setuptools
BuildRequires:  python-urllib3

Requires:	python-kubernetes
Requires:       python-certifi
Requires:       python-six
Requires:       python-dateutil
Requires:       python-setuptools
Requires:       python-urllib3

%description
Python client for the KubeVirt API.

%prep
%setup -q -n client-python-%{version}


%build
%py2_build

%install
%py2_install

%files
%doc README.md
%{python2_sitelib}/kubevirt/*.py*
%{python2_sitelib}/kubevirt/apis/*.py*
%{python2_sitelib}/kubevirt/models/*.py*
%exclude %{python2_sitelib}/kubevirt_py-*.egg-info
%exclude %{python2_sitelib}/test


%changelog
* Fri Aug 24 2018 Piotr Kliczewski <pkliczew@redhat.com> 0.1.0
- Inital spec
